package com.engine.salary.report.enums;

import com.engine.salary.enums.BaseEnum;

public enum DimensionEnum implements BaseEnum {
    BILL_MONTH("billMonth", 92146, "账单月份"),
    PAYMENT_ORGANIZATION("paymentOrganization", 86184, "个税扣缴义务人"),
    PAYMENT_AGENCY("paymentAgency", 93270, "缴纳组织"),
    SUB_COMPANY("subCompany", 107369, "分部"),
    DEPARTMENT("department", 86185, "部门"),
    POSITION("position", 90633, "岗位"),
    GRADE("grade", 98623, "职级"),
    STATUS("status", 109332, "人事状态"),
    TYPE("type", 151914, "人员类型"),
    EMPLOYEE("employee", 100133, "人员"),
    YEAR("year", 157163, "年度"),
    QUARTER("quarter", 157162, "季度");

    private String value;
    private Integer labelId;
    private String defaultValue;

    DimensionEnum(String value, Integer labelId, String defaultValue) {
        this.value = value;
        this.labelId = labelId;
        this.defaultValue = defaultValue;
    }


    @Override
    public Object getValue() {
        return value;
    }

    @Override
    public Integer getLabelId() {
        return labelId;
    }

    @Override
    public String getDefaultLabel() {
        return defaultValue;
    }
}
